Subject: bug#38249: 12.2.0; reftex-create-bibtex-file and biblatex

From: Arash Esbati <[email-masked]>
Date: Sat, 13 Apr 2024 23:03:44 +0200

Hi Gustavo,

gusbrs <[email-masked]> writes:

> All in all, with perhaps the adjustment of the previous comment, this
> looks good to me. It is close to as good as is possible within this
> approach and certainly counts as good enough in my view.

Thanks for testing and your feedback.

> But I won't leave you empty handed either: `reftex-what-macro' fails
> to handle a macro where the first argument is detached, regardless of
> the value of `reftex-allow-detached-macro-args'.
>
> Try `(reftex-what-macro 1)' on ("|" is point):
>
>     \cite [45] {sig|fridsson}
>
> Result `nil'. On the other hand, on:
>
>     \cite[45] {sig|fridsson}
>
> We now get `("\\cite" . 3654)'

I think the editor has to make some assumption; this is one of them.

> Well, the current version you have is pretty good, and a welcome
> improvement. Thank you.

I installed the change on Emacs master (845246093f).  This was half of
the bug report, right?

Best, Arash